/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
export { VksFsoClient } from './VksFsoClient';

export { ApiError } from './core/ApiError';
export { BaseHttpRequest } from './core/BaseHttpRequest';
export { CancelablePromise, CancelError } from './core/CancelablePromise';
export { OpenAPI } from './core/OpenAPI';
export type { OpenAPIConfig } from './core/OpenAPI';

export type { AccountGroup } from './models/AccountGroup';
export type { AccountResponse } from './models/AccountResponse';
export type { AccountSettings } from './models/AccountSettings';
export type { AccountStatus } from './models/AccountStatus';
export type { AddAccountRequest } from './models/AddAccountRequest';
export type { AddAccountResponse } from './models/AddAccountResponse';
export type { AddAccountResponseVinteoResponse } from './models/AddAccountResponseVinteoResponse';
export type { AddConferenceRequest } from './models/AddConferenceRequest';
export type { AddConferenceSchedule } from './models/AddConferenceSchedule';
export type { AddressResponse } from './models/AddressResponse';
export type { AddUsersToOrganizationDto } from './models/AddUsersToOrganizationDto';
export type { AddUsersToSubgroupDto } from './models/AddUsersToSubgroupDto';
export type { AnonymousConnections } from './models/AnonymousConnections';
export type { BaseScheduleDto } from './models/BaseScheduleDto';
export type { BlockUsersDto } from './models/BlockUsersDto';
export type { BookConferenceHallDto } from './models/BookConferenceHallDto';
export type { CalendarScheduleDto } from './models/CalendarScheduleDto';
export type { ConferenceConnectDto } from './models/ConferenceConnectDto';
export type { ConferenceHallScheduleDto } from './models/ConferenceHallScheduleDto';
export type { ConferenceInfoResponse } from './models/ConferenceInfoResponse';
export type { ConferenceResponse } from './models/ConferenceResponse';
export type { ConferenceResponseVinteoResponse } from './models/ConferenceResponseVinteoResponse';
export type { ConferenceSettings } from './models/ConferenceSettings';
export type { CreateConferenceHallDto } from './models/CreateConferenceHallDto';
export type { CreateMeetingDto } from './models/CreateMeetingDto';
export type { CreateMeetingParticipantDto } from './models/CreateMeetingParticipantDto';
export type { CreateMeetingSettingsDto } from './models/CreateMeetingSettingsDto';
export type { CreateOrganizationDto } from './models/CreateOrganizationDto';
export type { CreateScheduleDto } from './models/CreateScheduleDto';
export type { CreateSubgroupDto } from './models/CreateSubgroupDto';
export type { CreateUpdateUserPhoneNumberDto } from './models/CreateUpdateUserPhoneNumberDto';
export type { CreateUserDto } from './models/CreateUserDto';
export type { DeleteAccountsRequest } from './models/DeleteAccountsRequest';
export type { DetailedConferenceHallDto } from './models/DetailedConferenceHallDto';
export type { DetailedMeetingDto } from './models/DetailedMeetingDto';
export type { DetailedMeetingParticipantDto } from './models/DetailedMeetingParticipantDto';
export type { DetailedMeetingsApplicationUserDto } from './models/DetailedMeetingsApplicationUserDto';
export type { DetailedMeetingSettingsDto } from './models/DetailedMeetingSettingsDto';
export type { DetailedScheduleDto } from './models/DetailedScheduleDto';
export type { DisableMicResponse } from './models/DisableMicResponse';
export type { DisableMicResponseVinteoResponse } from './models/DisableMicResponseVinteoResponse';
export type { DisconnectResponse } from './models/DisconnectResponse';
export type { DisconnectResponseVinteoResponse } from './models/DisconnectResponseVinteoResponse';
export type { EnableMicResponse } from './models/EnableMicResponse';
export type { EnableMicResponseVinteoResponse } from './models/EnableMicResponseVinteoResponse';
export type { GetOverlapConferenceHallsRequest } from './models/GetOverlapConferenceHallsRequest';
export type { GetRecordsResponse } from './models/GetRecordsResponse';
export type { GetRecordsResponseRecords } from './models/GetRecordsResponseRecords';
export type { GetRecordsResponseVinteoResponse } from './models/GetRecordsResponseVinteoResponse';
export type { IceServer } from './models/IceServer';
export type { Int64IdTitleDto } from './models/Int64IdTitleDto';
export type { MultipleRemoveDto } from './models/MultipleRemoveDto';
export type { OrganizationDto } from './models/OrganizationDto';
export type { OverlapConferenceHallDto } from './models/OverlapConferenceHallDto';
export type { OverlapConferenceHallScheduleDto } from './models/OverlapConferenceHallScheduleDto';
export type { PagedConferenceHallDto } from './models/PagedConferenceHallDto';
export type { PagedConferenceHallDtoPaged } from './models/PagedConferenceHallDtoPaged';
export type { PagedMeetingDto } from './models/PagedMeetingDto';
export type { PagedMeetingDtoPaged } from './models/PagedMeetingDtoPaged';
export type { PagedOrganizationDto } from './models/PagedOrganizationDto';
export type { PagedOrganizationDtoPaged } from './models/PagedOrganizationDtoPaged';
export type { PagedParticipantDto } from './models/PagedParticipantDto';
export type { PagedParticipantDtoPaged } from './models/PagedParticipantDtoPaged';
export type { PageMeta } from './models/PageMeta';
export type { ParticipantConnectedRequest } from './models/ParticipantConnectedRequest';
export type { ParticipantConnectedResponse } from './models/ParticipantConnectedResponse';
export type { ParticipantsPostGeneral } from './models/ParticipantsPostGeneral';
export type { ProblemDetails } from './models/ProblemDetails';
export type { RemoveOrganizationsDto } from './models/RemoveOrganizationsDto';
export type { RemoveSubgroupsDto } from './models/RemoveSubgroupsDto';
export type { RemoveUsersDto } from './models/RemoveUsersDto';
export type { RemoveUsersFromSubgroupDto } from './models/RemoveUsersFromSubgroupDto';
export type { RoleDto } from './models/RoleDto';
export type { SessionInfoDto } from './models/SessionInfoDto';
export type { SessionParticipantDto } from './models/SessionParticipantDto';
export type { SignedInDto } from './models/SignedInDto';
export type { SignInDto } from './models/SignInDto';
export type { SimpleUserDto } from './models/SimpleUserDto';
export type { SingleOrganizationDto } from './models/SingleOrganizationDto';
export type { SingleUserDto } from './models/SingleUserDto';
export type { StringIdTitleDto } from './models/StringIdTitleDto';
export type { SubgroupDto } from './models/SubgroupDto';
export type { SubgroupUserCountDto } from './models/SubgroupUserCountDto';
export type { UpdateConferenceHallDto } from './models/UpdateConferenceHallDto';
export type { UpdateConferenceRequest } from './models/UpdateConferenceRequest';
export type { UpdateMeetingDto } from './models/UpdateMeetingDto';
export type { UpdateMeetingParticipantDto } from './models/UpdateMeetingParticipantDto';
export type { UpdateMeetingSettingsDto } from './models/UpdateMeetingSettingsDto';
export type { UpdateOrganizationDto } from './models/UpdateOrganizationDto';
export type { UpdateScheduleDto } from './models/UpdateScheduleDto';
export type { UpdateSubgroupDto } from './models/UpdateSubgroupDto';
export type { UpdateUserDto } from './models/UpdateUserDto';
export type { UserDto } from './models/UserDto';
export type { UserDtoPaged } from './models/UserDtoPaged';
export type { UserInfoDto } from './models/UserInfoDto';
export type { UserPhoneNumberDto } from './models/UserPhoneNumberDto';
export type { UserStatusDto } from './models/UserStatusDto';
export type { Watermark } from './models/Watermark';
export type { WebhookEvent } from './models/WebhookEvent';

export { AuthService } from './services/AuthService';
export { ConferenceHallsService } from './services/ConferenceHallsService';
export { ConferenceHallSchedulesService } from './services/ConferenceHallSchedulesService';
export { MeetingsService } from './services/MeetingsService';
export { OrganizationsService } from './services/OrganizationsService';
export { SchedulesService } from './services/SchedulesService';
export { SubgroupsService } from './services/SubgroupsService';
export { TestVinteoApiService } from './services/TestVinteoApiService';
export { UsersService } from './services/UsersService';
export { VksSessionsService } from './services/VksSessionsService';
export { WebhooksService } from './services/WebhooksService';
